<template>
  <div>
    <button @click="showModal()" class="btn btn-primary capsule btn-block">Filter</button>

    <b-modal
      id="modal1"
      hide-footer
      hide-header
      centered
      ref="thisModal"
      class="border-0"
      size="md"
    >
      <div class="container">
        <div class="row mb-2">
          <div class="col-6">
            <h5>Filter</h5>
          </div>
          <div class="col-6">
            <img
              :src="asset(`images/ui_elements/ic_close.png`)"
              style="width:25px"
              @click="hideModal"
              class="float-right"
            >
          </div>
        </div>
        <div class="row">
          <div class="col-12">
            <form class="form-material" @submit.prevent="submitForm">
              <div class="form-row">
                <div class="form-group col-6">
                  <label>Start Date</label>
                  <datepicker v-model="filter.startDate" input-class="form-control"></datepicker>
                </div>
                <div class="form-group col-6">
                  <label>End Date</label>
                  <datepicker v-model="filter.endDate" input-class="form-control"></datepicker>
                </div>
                <button
                  type="button"
                  @click="applyFilter"
                  class="btn btn-primary form-control capsule"
                >Apply</button>
              </div>
            </form>
          </div>
        </div>
      </div>
    </b-modal>
  </div>
</template>
<script>
import Datepicker from "vuejs-datepicker";
import EventBus from "@/EventBus.js";

export default {
  components: { Datepicker },
  data() {
    return {
      filter: {
        startDate: null,
        endDate: null
      }
    };
  },
  methods: {
    hideModal() {
      this.$refs.thisModal.hide();
    },
    showModal() {
      this.$emit("show");
      this.$refs.thisModal.show();
    },
    applyFilter() {
      EventBus.$emit("tableFilterSet", this.filter);
      this.hideModal();
    }
  }
};
</script>
<style lang="scss">
</style>
